Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.predicates
Class UserDatumVertexPredicate

    java.lang.Object
      edu.uci.ics.jung.graph.predicates.GPredicate
          edu.uci.ics.jung.graph.predicates.VertexPredicate
              edu.uci.ics.jung.graph.predicates.UserDatumVertexPredicate

All Implemented Interfaces:
  Predicate

public class UserDatumVertexPredicate
extends VertexPredicate

A predicate that checks to see whether a vertex's user data repository contains the constructor-specified (key,datum) pair. This predicate may be used as a constraint.

Field Summary
`static String` | `message`

Fields inherited from class edu.uci.ics.jung.graph.predicates.GPredicate
`isInitializationPredicate`

Constructor Summary
`UserDatumVertexPredicate(Object key, Object datum)`

Method Summary
`boolean` | `equals(Object o)` Tests equality based on underlying objects
`boolean` | `evaluateVertex(ArchetypeVertex v)` Returns `true` if the datum stored by `v` with key value `key` (in the user data repository) is `datum`.
`Object` | `getDatum()` Returns the user datum which partially defines this predicate.
`Object` | `getKey()` Returns the user data key which partially defines this predicate.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class edu.uci.ics.jung.graph.predicates.VertexPredicate
`evaluate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    public static final String message

See Also:
  Constant Field Values

Constructor Detail

### UserDatumVertexPredicate

    public UserDatumVertexPredicate(Object key,
                                    Object datum)

Method Detail

### evaluateVertex

    public boolean evaluateVertex(ArchetypeVertex v)

  Returns `true` if the datum stored by `v` with key value `key` (in the user data repository) is `datum`.

  Specified by:
    `evaluateVertex` in class `VertexPredicate`
  See Also:
    `UserData`

### toString

    public String toString()

### equals

    public boolean equals(Object o)

  Tests equality based on underlying objects

### hashCode

    public int hashCode()

### getKey

    public Object getKey()

  Returns the user data key which partially defines this predicate.

### getDatum

    public Object getDatum()

  Returns the user datum which partially defines this predicate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD